"{ Package: 'stx:goodies/xtreams/core/tests' }"

LibraryDefinition subclass:#stx_goodies_xtreams_core_tests
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects & Packages *'
!


!stx_goodies_xtreams_core_tests class methodsFor:'description'!

excludedFromPreRequisites
    "list all packages which should be ignored in the automatic
     preRequisites scan. See #preRequisites for more."

    ^ #(
    )
!

preRequisites
    "list all required packages.
     This list can be maintained manually or (better) generated and
     updated by scanning the superclass hierarchies and looking for
     global variable accesses. (the browser has a menu function for that)
     Howevery, often too much is found, and you may want to explicitely
     exclude individual packages in the #excludedFromPrerequisites method."

    ^ #(
	#'stx:goodies/sunit'    "TestAsserter - superclass of Xtreams::ReadingWritingTest "
	#'stx:goodies/xtreams/core'    "Xtreams::PositionWriteStream - referenced by Xtreams::FiniteReadingWritingTests>>testWritePositioningWithRingBuffer "
	#'stx:goodies/xtreams/substreams'
	#'stx:libbasic'    "Object - superclass of Xtreams::ReadingWritingTest "
    )
! !

!stx_goodies_xtreams_core_tests class methodsFor:'description - contents'!

classNamesAndAttributes
    "lists the classes which are to be included in the project.
     Each entry in the list may be: a single class-name (symbol),
     or an array-literal consisting of class name and attributes.
     Attributes are: #autoload or #<os> where os is one of win32, unix,..."

    ^ #(
	"<className> or (<className> attributes...) in load order"
	#'Xtreams::BufferTest'
	#'Xtreams::ElasticBufferTest'
	#'Xtreams::PositionReadStreamTest'
	#'Xtreams::PositionWriteStreamTest'
	#'Xtreams::ReadingWritingTest'
	#'Xtreams::RingBufferTest'
	#stx_goodies_xtreams_core_tests
	#'Xtreams::FiniteReadingWritingTests'
	#'Xtreams::InfiniteReadingWritingTests'
    )
!

extensionMethodNames
    "lists the extension methods which are to be included in the project.
     Entries are 2-element array literals, consisting of class-name and selector."

    ^ #(
    )
! !

!stx_goodies_xtreams_core_tests class methodsFor:'documentation'!

version_HG
    ^ '$Changeset: <not expanded> $'
! !

